/* RJSensor.h */

#ifndef ROKOJORI_CORE__SENSOR_H
#define ROKOJORI_CORE__SENSOR_H

#include "scene/main/node.h"


class RJSensor : public Node 
{
  GDCLASS(RJSensor, Node);

protected:
  static void _bind_methods();

public:

  GDVIRTUAL0R( float, getValue );
  GDVIRTUAL0R( bool, isActive );
  GDVIRTUAL0R( bool, wasActive );
  GDVIRTUAL1( updateValue, float );

  RJSensor();
  ~RJSensor();
};


#endif // ROKOJORI_CORE__SENSOR_H